
@font-face {
  font-family: 'griffith-header';
  src: url('GriffithSerifDisplay-Regular.otf') format('opentype');
}

@font-face {
  font-family: 'griffith-body';
  src: url('GriffithSansText-Regular.otf') format('opentype');
}

:root {
  --main-bg-color: #E8E4E3;;
  --main-emphasis-color: #ED1D24;
  --header-font: "griffith-header";
  --body-font: "griffith-body";
}

body {
  background-color: var(--main-bg-color);
  margin-bottom: 50px;
  font-family: var(--body-font);
  font-size: 16px;
}

.text-primary{
  color: #ED1D24;
}

.title-container {
  width: 100%;
  background-color: white;
  border-radius: 15px;
  display: flex;
  align-items: center;
  padding: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-top: 20px;
}

.logo {
  flex: 0 0 auto;
  height: 70px;
  padding: 5px;
}

.title {
  flex: 1;
  text-align: center;
  font-weight: bold;
  font-family: var(--header-font);
  font-size: 3em;
  font-weight: bold;
  color: black;
  padding: 20px;
  margin: 0;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  letter-spacing: 1px;
  word-wrap: break-word;
  overflow-wrap: break-word;
}

.info-section {
  width: 100%;
  height: auto;
  display: flex;
  margin-top: 20px;
}

.red-container {
  background-color: var(--main-emphasis-color);
  color: white;
  border-radius: 10px;
  padding: 20px;
  margin-right: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  font-size: 20px;
  width: 270px; /* Adjust width as needed */
}
      
.info-container {
  background-color: white;
  border-radius: 10px;
  padding: 10px;
  display: flex;
  align-items: center;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  flex: 1;
}

.info-content {
  flex: 1;
  display: flex;
  align-items: center;
}

.demographics-container {
  width: 100%;
  height: 100px;
  background-color: white;
  border-radius: 15px;
  display: flex;
  padding: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
      
.demographic-summary {
  width: 100%;
  background-color: white;
  border-radius: 15px;
  padding: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-top: 20px;
}

h4 {
  color: black;
  letter-spacing: 1px;
  margin-top: 0;
  font-size: 2em;
  font-weight: bold;
  font-family: var(--header-font);
  margin-bottom: 15px;
}

.demographic-item {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.demographic-icon {
  width: 100px;
  height: 100px;
  margin-right: 10px;
  padding: 10px;
}

.demographic-text .percentage {
  font-size: 20px;
  font-weight: bold;
}

.factors-container {
  background-color: white;
  border-radius: 15px;
  padding: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-top: 20px;
}

.factor-box {
  color: black;
  text-align: center;
  font-size: 16px;
  padding: 10px;
  font-weight: bold;
  background-color: white; 
}

.charts-container {
  background-color: white;
  border-radius: 15px;
  padding: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-top: 20px;
  margin-bottom: 10px;
  font-weight: bold;
}

.chart-box {
  background-color: white;
  border-radius: 10px;
  padding: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-bottom: 20px;
  display: flex;
  justify-content: center; /* Center content horizontally */
  align-items: center;
}

.charts-container select {
  width: 150px;
  margin-bottom: 20px;
  font-family: var(--body-font);
}

table {
  margin: auto;
  table-layout: auto;
  font-family: var(--body-font);
}

th, td {
  padding: 8px 12px;
  text-align: left;
  border-bottom: 1px solid #ddd;
}

.selectize-control.single .selectize-input.active {
  background: black !important;
  border-color: black !important;
  color: white !important;
}

.selectize-control.full {
  background: black !important;
  border-color: black !important;
  color: white !important;
}

.selectize-control.single .selectize-input:hover {
  background: black !important;
  border-color: black !important;
  color: white !important;
}

.selectize-dropdown .selectize-dropdown-content .option:hover,
.selectize-dropdown .selectize-dropdown-content .option.active {
  background: black !important;
  color: white !important;
}

.selectize-control.single .selectize-input {
  border-color: black !important;
}

.selectize-control.single .selectize-dropdown {
  border-color: black !important;
}
    
footer {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: white;
  color: black;
  text-align: center;
  padding: 10px;
  box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
}

.credit-url, .paper-link {
  color:black !important;
  text-decoration: underline;
}
